package com.zfire.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CustomerStockEnum {
    YES(1,"前置仓"),
    NO(2,"商家仓");

    @JsonValue
    @EnumValue
    private final Integer key;
    private final String value;


    public static CustomerStockEnum findEnumByKey(Boolean key) {
        CustomerStockEnum[] values = CustomerStockEnum.values();
        for (CustomerStockEnum isEnum : values) {
            if (isEnum.getKey().equals(key)) {
                return isEnum;
            }
        }
        return null;
    }

}
